Make sure mw-vagrant Flow role creates users/groups required for Flow browser tests
Closed, ResolvedPublic

Description

Create user "Selenium Flow user" with password "vagrant" and able to

  • suppress and unsuppress topics
  • access Special:EnableFlow

Create user "Selenium Flow user 2" with password "vagrant". No special group membership required.

Update Flow/tests/browser/environments.yml to use "Selenium Flow user" instead of "Admin" for local configuration.

SBisson created this task.Oct 14 2015, 8:35 PM
SBisson updated the task description. (Show Details)
SBisson raised the priority of this task from to Needs Triage.
SBisson added a project: StructuredDiscussions.
SBisson added subscribers: SBisson, Mattflaschen-WMF.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptOct 14 2015, 8:35 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
SBisson updated the task description. (Show Details)Oct 16 2015, 7:52 PM

What is the blocker here?

Change 249312 had a related patch set uploaded (by Mattflaschen):
Add users and groups for Flow browser tests

https://gerrit.wikimedia.org/r/249312

Change 249312 merged by jenkins-bot:
Add users and groups for Flow browser tests

https://gerrit.wikimedia.org/r/249312

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 21 2015, 1:47 AM
(21:44) root@localhost:[wiki]> select user_name from user where user_name like 'Selenium%';
+----------------------+
| user_name            |
+----------------------+
| Selenium Flow user   |
| Selenium Flow user 2 |
| Selenium user        |
+----------------------+
3 rows in set (0.00 sec)

Catrope closed this task as Resolved.Dec 16 2015, 1:57 AM
Catrope added a subscriber: Catrope.